The app server calls this API to create a data export task that exports all the data collected and reported by the app.
If you need to import the data collected by HUAWEI Analytics Kit to your own analytics platform or a third-party analytics platform for analysis, you can use this API to export data collected by HUAWEI Analytics Kit.
A maximum of three concurrent data export tasks are supported for an app. When three export tasks are all being executed, new data export requests will not be processed. This means that a new data export request will be accepted only after one or all of three export tasks are completed.
The API can be called only once within 1s.
| Protocol | HTTP POST |
|---|---|
| Direction | HUAWEI Analytics Kit server -> Developer callback API server |
| URL | POST https://<URI>/analytics/export/raw_data_requests/v2 |
| Data Format | Request: Content-Type: application/json Response: Content-Type: application/json |
| Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
date_range | Mandatory | DateRange | Time range for query. |
file_format | Mandatory | String | File format. Only the csv format is supported. |
filters | Optional | List<Filter> | Attribute filters. |
| Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
start_date | Mandatory | string | Start date, in format of yyyy-MM-dd. |
end_date | Mandatory | string | End date, in format of yyyy-MM-dd. |
| Parameter | Mandatory/Optional | Type | Description |
|---|---|---|---|
name | Mandatory | string | Filter key, which is the user attribute name. |
values | Mandatory | string | Filter value, which is the user attribute value. |
| Parameter | Type | Description |
|---|---|---|
result_code | String | Result code. For details, please refer to Result Codes. |
result_msg | String | Response description. |
- HTTP/1.1 200 OK
- Content-Type: application/json; charset=UTF-8
- Connection: Close
- Content-Length: xxxx
- {
- "result_code":"0",
- "result_msg":"success",
- }
| Status Code | Result Code | Response Code | Description | Suggestion |
|---|---|---|---|---|
200 | 0 | Success | Request succeeded. | - |
400 | 10020 | invalidParameter | Invalid parameter. | Check and correct the parameter value. |
400 | 10008 | tooFrequentRequest | API requests are too frequent. | Display a message indicating that data export creation requests are excessively frequent and asking the user to try again later. |
400 | 10009 | tooManyTask | The number of ongoing data export tasks of an app exceeds the upper limit (3). | Display a message prompting the user to wait until other tasks are complete and try again later. |
- POST /analytics/export/raw_data_requests/v2 HTTP/1.1
- Content-Type: application/json; charset=UTF-8
- Content-Length: xxxx
- Accept: application/json
- Authorization: Bearer 78C2395236BBF4262CAE4F1172E327C2929AD63EAA0395961A49DEBC3B6F8339
- x-product-id: sample-productid
- x-app-id: sample-appid
- {
- "data_range": {
- "start_date": "2020-03-10",
- "end_date": "2020-03-17"
- },
- "file_format": "csv",
- "filters": [
- {
- "name": "model",
- "values": [
- "TL-00",
- "MTA-00"
- ]
- }
- ],
- "fields": [
- "eventId"
- ],
- "field_map": [
- {
- "origin": "eventId",
- "target": "eventName"
- }
- ]
- }